com.sun.jdi.event

## Interface LocatableEvent

- All Superinterfaces:
    Event, Locatable, Mirror
  All Known Subinterfaces:
    AccessWatchpointEvent, BreakpointEvent, ExceptionEvent, MethodEntryEvent, MethodExitEvent, ModificationWatchpointEvent, MonitorContendedEnteredEvent, MonitorContendedEnterEvent, MonitorWaitedEvent, MonitorWaitEvent, StepEvent, WatchpointEvent

      public interface LocatableEvent
      extends Event, Locatable

  Abstract superinterface of events which have both location and thread.
  Since:
    1.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThreadReference` | `thread()` Returns the thread in which this event has occurred.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

- - ### Method Detail

    - #### thread

          ThreadReference thread()

      Returns the thread in which this event has occurred.
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.